falcon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FALCON-1965) Update ActiveMQ version to 5.13.3 to avoid Falcon start error after rolling upgrade
Date Fri, 03 Jun 2016 19:18:59 GMT

    [ https://issues.apache.org/jira/browse/FALCON-1965?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15314635#comment-15314635
] 

ASF GitHub Bot commented on FALCON-1965:
----------------------------------------

GitHub user yzheng-hortonworks reopened a pull request:

    https://github.com/apache/falcon/pull/168

    FALCON-1965 Update ActiveMQ version to 5.13.3 to avoid Falcon start error after rolling
upgrade

    Upgraded ActiveMQ version to the latest 5.13.3. Tested Falcon server upgrade with ActiveMQ
history works with 0.6, 0.7 and trunk.
    
    Split the fix for two test failures due to upgrade to https://github.com/apache/falcon/pull/169,
per @vrangan 's suggestion.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/yzheng-hortonworks/falcon FALCON-1965

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/falcon/pull/168.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #168
    
----
commit 02cadda20e312b17fd8a03bb9cae62b6d85063e4
Author: yzheng-hortonworks <yzheng@hortonworks.com>
Date:   2016-06-01T20:55:11Z

    FALCON-1965 Update ActiveMQ version to 5.13.3 to avoid Falcon start error after rolling
upgrade

commit 9b2aacc2bb2c4f33f5a1fe87b98a7b9e06b2003e
Author: yzheng-hortonworks <yzheng@hortonworks.com>
Date:   2016-06-03T19:14:59Z

    Revert "FALCON-1965 Update ActiveMQ version to 5.13.3 to avoid Falcon start error after
rolling upgrade"
    
    This reverts commit 02cadda20e312b17fd8a03bb9cae62b6d85063e4.

commit bdc26b430558bf90715315ef9ea8f11dc2e21a86
Author: yzheng-hortonworks <yzheng@hortonworks.com>
Date:   2016-06-03T19:16:07Z

    FALCON-1965 Update ActiveMQ version to 5.13.3 to avoid Falcon start error after rolling
upgrade

----


> Update ActiveMQ version to 5.13.3 to avoid Falcon start error after rolling upgrade
> -----------------------------------------------------------------------------------
>
>                 Key: FALCON-1965
>                 URL: https://issues.apache.org/jira/browse/FALCON-1965
>             Project: Falcon
>          Issue Type: Bug
>            Reporter: Ying Zheng
>            Assignee: Ying Zheng
>             Fix For: trunk, 0.10
>
>
> Falcon service check may fail when performing rolling upgrade (see below for error details).
This is a bug in ActiveMQ and has been fixed in their latest release: https://issues.apache.org/jira/browse/AMQ-5786.
This JIRA is to update ActiveMQ version to the latest.
> 2015-06-25 18:09:07,235 ERROR - [main:] ~ Failed to start ActiveMQ JMS Message Broker.
Reason: java.io.IOException: Invalid location: 1:6763311, : java.lang.NegativeArraySizeException
(BrokerService:528)
> java.io.IOException: Invalid location: 1:6763311, : java.lang.NegativeArraySizeException
> 	at org.apache.kahadb.journal.DataFileAccessor.readRecord(DataFileAccessor.java:94)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message